package com.xxfc.thirdparty.controller;

import com.xxfc.thirdparty.api.ITrafficViolationsService;
import com.xxfc.thirdparty.model.JuheResult;
import com.xxfc.thirdparty.service.TrafficViolationsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("3p/tv")
public class TrafficViolationsController implements ITrafficViolationsService {

    @Autowired
    TrafficViolationsService tvService;

    @Override
    @GetMapping("city")
    public JuheResult getCityInfo(String province) {
        return tvService.getCity(province);
    }

    @Override
    @GetMapping("trafficViolations")
    public JuheResult queryTrafficViolations(String city, String hphm, String hpzl, String engineno, String classno) {
        return tvService.queryViolations(city, hphm, hpzl, engineno, classno);
    }

    @Override
    @GetMapping("balance")
    public JuheResult getBalance() {
        return tvService.queryBalance();
    }

    @Override
    @GetMapping("carPre")
    public JuheResult carPre(String hphm) {
        return tvService.queryCityByHphm(hphm);
    }


}
