package com.xxfc.platform.tour.biz;

import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.xxfc.platform.tour.mapper.TourTagBannerMapper;
import org.springframework.stereotype.Service;

import com.xxfc.platform.tour.entity.TourTagBanner;
import com.github.wxiaoqi.security.common.biz.BaseBiz;

import java.util.List;

/**
 * 标签轮播图
 *
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-06 11:41:51
 */
@Service
public class TourTagBannerBiz extends BaseBiz<TourTagBannerMapper,TourTagBanner> {


    public List<TourTagBanner> findById(long tid) {

        TourTagBanner tourTagBanner = new TourTagBanner();
        tourTagBanner.setId(tid);
        tourTagBanner.setIsDel(0);
        return  mapper.select(tourTagBanner);
    }


    /**
     * 分页查询旅游标签banner数据
     * @param pageNo
     * @param pageSize
     * @return
     */
    public PageDataVO<TourTagBanner> findTourTagBannerWithPage(Integer pageNo,Integer pageSize){

        return  PageDataVO.pageInfo(pageNo,pageSize,()->mapper.findAllByState(0));
    }

    /**
     * 根据id更改banner状态
     * @param id
     * @param status
     * @return
     */
    public int updateTourTagBannerStatusById(int id, int status) {

        return mapper.updateTourTagBannerStatusById(id,status);
    }
}