package com.xxfc.platform.tour.biz;

import com.ace.cache.annotation.CacheClear;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.xxfc.platform.tour.comstnt.RedisKey;
import com.xxfc.platform.tour.mapper.TourTagMapper;
import org.springframework.stereotype.Service;

import com.xxfc.platform.tour.entity.TourTag;
import com.github.wxiaoqi.security.common.biz.BaseBiz;

import java.time.Instant;
import java.util.List;
import java.util.Map;

/**
 * 旅游路线标签
 *
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-06 11:41:51
 */
@Service
public class TourTagBiz extends BaseBiz<TourTagMapper,TourTag> {


//    @Cache(key = RedisKey.CONSTANT_CODE_PREFIX_HOTTAG)
    public List<TourTag> getHotTag() {

        TourTag tag = new TourTag();
        tag.setIsDel(0);
        tag.setIsHot(1);
        return mapper.findHotListTag(tag);
    }



    public PageDataVO<TourTag> findPage(Map map) {
        TourTag tag = new TourTag();
        tag.setIsDel(0);
        return PageDataVO.pageInfo((Integer)map.get("page"),(Integer)map.get("limit"),() -> mapper.findAllByIsDel(tag));
    }

    @CacheClear(key = RedisKey.CONSTANT_CODE_PREFIX_HOTTAG)
    public void update(TourTag banner) {
        this.updateSelectiveById(banner);
    }


    @CacheClear(key = RedisKey.CONSTANT_CODE_PREFIX_HOTTAG)
    public void remove(int id) {
        this.deleteById(id);
    }


    /**
     * 分页查询旅游标签
     * @param pageNo 查询的当前
     * @param pageSize 分页大小
     * @return
     */
    public PageDataVO<TourTag> findTourTagWithPage(Integer pageNo, Integer pageSize) {
       return PageDataVO.pageInfo(pageNo, pageSize, () -> mapper.findAllByIsDel(TourTag.builder().isDel(0).build()));
    }

    /**
     * 根据主键id查询 旅游标签
     * @param id
     * @return
     */
    public TourTag findTourTagById(Integer id){
        return  mapper.findById(id);
    }

    /**
     * 保存旅游标签
     * @param tourTag
     * @return
     */
    public int saveTourTag(TourTag tourTag) {
         tourTag.setCtrTime(Instant.now().toEpochMilli());
         tourTag.setUpdTime(Instant.now().toEpochMilli());
        return mapper.save(tourTag);
    }

    /**
     * 根据主键修改标签状态
     * @param id
     * @param status
     * @return
     */
    public int updateTourTagStateById(Integer id,int status) {

        return  mapper.updateTourTagStatusById(id,status);
    }
}