package com.xxfc.platform.tour.mapper;

import com.xxfc.platform.tour.entity.TourTagBanner;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 标签轮播图
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-06 11:41:51
 */
public interface TourTagBannerMapper extends Mapper<TourTagBanner> {

    /**
     * 根据是否删除状态来查询数据
     * @param isDel
     */
    @Select("select * from tour_tag_banner where `is_del`=#{isDel}")
    List<TourTagBanner> findAllByState(@Param("isDel") int isDel);

    /**
     * 根据主键id更新banner状态
     * @param id
     * @param status
     * @return
     */
    @Update("update tour_tag_banner set `is_del`=#{status} where `id`=#{id}")
    int updateTourTagBannerStatusById(@Param("id") int id, @Param("status") int status);

}
