package com.xxfc.platform.tour.mapper;

import com.xxfc.platform.tour.entity.TourTag;
import org.apache.ibatis.annotations.*;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 旅游路线标签
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-06 11:41:51
 */
@Repository
public interface TourTagMapper extends Mapper<TourTag> {
    @Select("select * from tour_tag where is_del=#{isDel} and is_hot=#{isHot} order by rank ASC")
    List<TourTag> findHotListTag(TourTag tag);

    @Select("select * from tour_tag where is_del=#{isDel} order by rank ASC")
    @ResultMap(value = "tourTagMap")
    List<TourTag> findAllByIsDel(TourTag tagBanner);

    /**
     * 根据主要id查询
     * @param id
     * @return
     */
    @Select("select * from tour_tag where id=#{id}")
    @ResultMap(value = "tourTagMap")
    TourTag findById(Integer id);

    /**
     * 保存旅游标签
     * @param tourTag
     * @return
     */
    @Insert("insert tour_tag(`name`,`img`,`describe`,`link`,`is_hot`,`count`,`rank`,`ctr_time`,`upd_time`,`is_del`)" +
            "values(#{name},#{img},#{describe},#{link},#{isHot},#{count},#{rank},#{ctrTime},#{updTime},#{isDel})")
    int save(TourTag tourTag);

    /**
     * 更新旅游标签的 删除状态
     * @param id
     * @param status
     * @return
     */
    @Update("update tour_tag set `is_del`=#{status} where `id`=#{id}")
    int updateTourTagStatusById(@Param("id") Integer id, @Param("status") int status);
}
