package com.xxfc.platform.tour.rest.admin;

import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.xxfc.platform.tour.biz.TourTagBannerBiz;
import com.xxfc.platform.tour.entity.TourTagBanner;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.*;


/**
 * @author libin
 * @version 1.0
 * @description 旅游标签banner
 * @data 2019/6/11 9:45
 */
@RestController
@RequestMapping("/admin/tourTagBanner")
@Api(value = "后台*旅游标签banner接口")
public class TourTagBannerAdminController extends BaseController<TourTagBannerBiz,TourTagBanner> {


    /**
     * 分页查询旅游标签banner数据
     * @param pageNo
     * @param pageSize
     * @return
     */
    @ApiImplicitParams(value = {
            @ApiImplicitParam(name = "pageNo",paramType = "query",dataType = "integer",defaultValue = "0"),
            @ApiImplicitParam(name = "pageSize",paramType = "query",dataType = "integer",defaultValue = "10")
    })
     @GetMapping("/pages")
    public ObjectRestResponse<PageDataVO<TourTagBanner>> findTourTagBannerWithPage(@RequestParam(name = "pageNo",required = false,defaultValue = "0")Integer pageNo,
                                                                                   @RequestParam(name = "pageSize",required = false,defaultValue = "10")Integer pageSize){
         PageDataVO<TourTagBanner> tagBannerPageDataVO = getBaseBiz().findTourTagBannerWithPage(pageNo, pageSize);
         return ObjectRestResponse.succ(tagBannerPageDataVO);
    }

    /**
     * 根据主键id逻辑删除
     * @param id
     * @return
     */
    @Override
    public ObjectRestResponse<TourTagBanner> remove(@PathVariable int id) {
        int effRows = getBaseBiz().updateTourTagBannerStatusById(id,1);

        if (effRows>0){
            return ObjectRestResponse.succ();
        }
        return ObjectRestResponse.createDefaultFail();
    }
}